givintnumtheo.h File Reference

num theory. More...

`#include <iostream>`
`#include "givaro/givinteger.h"`
`#include "givaro/givintprime.h"`
`#include "givaro/givintfactor.h"`
`#include "givaro/givrandom.h"`
`#include "givaro/udl.h"`
`#include "givaro/givintnumtheo.inl"`
Include dependency graph for givintnumtheo.h:

## Data Structures

class | IntNumTheoDom< MyRandIter >
| Num theory Domain. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

num theory.

- Euler's phi function
- Primitive roots
- RSA scheme.